Package org.eclipse.graphiti.ui.editor

## Class DefaultUpdateBehavior.DefaultUpdateAdapter

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.graphiti.ui.editor.DefaultUpdateBehavior.DefaultUpdateAdapter

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Adapter`, `org.eclipse.emf.common.notify.Adapter.Internal`

Enclosing class:
  DefaultUpdateBehavior

    protected class DefaultUpdateBehavior.DefaultUpdateAdapter
    extends org.eclipse.emf.common.notify.impl.AdapterImpl

The default implementation of the update adapter that cares about refreshing the diagram editor in case of resource changes. The default implementation will trigger the update of the diagram editor in case the EMF resource has been changed externally; in case the resource was deleted the default implementation will close the editor if there are no unsaved changes or ask the user what to do in case of unsaved changes.

Since:
  0.11

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`org.eclipse.emf.common.notify.Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Constructor Summary

Constructors
`protected` `DefaultUpdateAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `closeEditorAsynchronously()` Triggers closing of the editor by scheduling an asynchronous call to `DefaultUpdateBehavior.closeContainer()`.
`void` `notifyChanged​(org.eclipse.emf.common.notify.Notification msg)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, isAdapterForType, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultUpdateAdapter

    protected DefaultUpdateAdapter()

### Method Detail

#### notifyChanged

    public void notifyChanged​(org.eclipse.emf.common.notify.Notification msg)

Specified by:
  `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
Overrides:
  `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

#### closeEditorAsynchronously

    protected void closeEditorAsynchronously()

Triggers closing of the editor by scheduling an asynchronous call to `DefaultUpdateBehavior.closeContainer()`.